17.09.2007 12:36    

c_gemicioglu
noktanın kenarına kotunu yazan lisp varmı acaba

17.09.2007 12:39    

ehya
istediğinizi tam olarak tarif edermisiniz?

17.09.2007 14:05    

c_gemicioglu
projemde noktalar var bunların kotlarını (sadece kotlarını, z ' sini) kenarına yazmak istiyorum çıktı alcam evrak için

17.09.2007 14:40    

hebedebe
benim de benzer bir lisp isteğim olmuştu. linki de şurda:


Linkleri görebilmek için ÜYE olmalısınız.




Linkler güncellenmiştir

admin (09.02.2009 22:12 GMT)

17.09.2007 19:40    

ehya
Aşağıdaki lisp, gösterilen noktanın Z koordinatını gösterilen noktanın sağına yazar.
Komut ismi NY

Kod:

(defun c:ny ()
  (setq ny_yazi_yuk 12)
  (setq ny_os (getvar "osmode"))
  (setq ny_nok (getpoint "\nNoktayı gösterin :"))
  (if (= ny_nok nil)
    (progn
    )
    (progn
      (setq ny_z (caddr ny_nok))
      (setq ny_yn (polar ny_nok (angtof "0") (/ ny_yazi_yuk 3.00)))
      (setvar "osmode" 0)
      (command "text" ny_yn ny_yazi_yuk "0" (rtos ny_z 2 2))
      (setvar "osmode" ny_os)
    )
  )
  (princ)
)

18.09.2007 06:50    

hebedebe
çok teşekkürler, ellerinize sağlık. bunun blok ve attribute ile çalışanını yapmak daha zordur sanırım. vakit bulduğumda elimdeki cephe kotu lispi ile bunu karşılaştırıp kendi işime yarar hale getirebilir miyim bakıcam. becerebilirsem burdan da yayınlarım :)

18.09.2007 07:04    

ehya
Bloklu olarak yazmak zor değil. Zaten herşey blok içinde belli. Ama arkadaşın istediği bu tür olduğu için basit birşey hazırladım. Yoksa daha farklı geliştirilebilir.

18.09.2007 11:33    

c_gemicioglu
eyvallah kardeşim emeğine sağlık

14.04.2008 10:15    

fatihbayraktaroglu
SAOL KARDEŞ

19.07.2012 15:33    

emraha
Alıntı
ehya :
Aşağıdaki lisp, gösterilen noktanın Z koordinatını gösterilen noktanın sağına yazar.
Komut ismi NY

Kod:

(defun c:ny ()
  (setq ny_yazi_yuk 12)
  (setq ny_os (getvar "osmode"))
  (setq ny_nok (getpoint "\nNoktayı gösterin :"))
  (if (= ny_nok nil)
    (progn
    )
    (progn
      (setq ny_z (caddr ny_nok))
      (setq ny_yn (polar ny_nok (angtof "0") (/ ny_yazi_yuk 3.00)))
      (setvar "osmode" 0)
      (command "text" ny_yn ny_yazi_yuk "0" (rtos ny_z 2 2))
      (setvar "osmode" ny_os)
    )
  )
  (princ)
)




Üstadım çok güzel kod olmuş gerçekten eline sağlık. İlave özellik olarak bir grup point i seçerek her point in kendi yanına yazdırmayı sağlayacak ve yazılacak yazının boyutu ve yerleşimini seçebileceğimiz şekilde kodu revize etmek mümkün müdür? Öyle olursa çok yararlı olacağına inanıyorum. Teşekkürler

11.12.2012 14:35    

hihaho
Alıntı
ehya :
Aşağıdaki lisp, gösterilen noktanın Z koordinatını gösterilen noktanın sağına yazar.
Komut ismi NY

Kod:

(defun c:ny ()
  (setq ny_yazi_yuk 12)
  (setq ny_os (getvar "osmode"))
  (setq ny_nok (getpoint "\nNoktayı gösterin :"))
  (if (= ny_nok nil)
    (progn
    )
    (progn
      (setq ny_z (caddr ny_nok))
      (setq ny_yn (polar ny_nok (angtof "0") (/ ny_yazi_yuk 3.00)))
      (setvar "osmode" 0)
      (command "text" ny_yn ny_yazi_yuk "0" (rtos ny_z 2 2))
      (setvar "osmode" ny_os)
    )
  )
  (princ)
)





teşekkürler.

10.05.2022 05:26    

map0623
Merhabalar;
Bu lisp (ny) oldukca güzel ama bu işlemi toplu halde yapmak mümkün mü acaba?

Herkese iyi çalışmalar...

10.05.2022 05:35    

Travaci
Alıntı
map0623 :


Aşağıdaki işinize yarayabilir.



Linkleri görebilmek için ÜYE olmalısınız.

10.05.2022 12:42    

map0623
Merhaba,
Maalesef pct lisp olmadı.

11.05.2022 07:09    

k005
Alıntı
map0623 :
Merhabalar;
Bu lisp (ny) oldukca güzel ama bu işlemi toplu halde yapmak mümkün mü acaba?
Herkese iyi çalışmalar...



Dwg dosyasında Noktalar belli mi, Hazırlanmış mı ?
Sadece Z mi lazım ?
X ve Y de olacak mı ?

11.05.2022 09:29    

Travaci
Virgul sonrası basamak sayısı "luprec" yazı yüksekliği ise "textsize" ile değiştirebilirsiniz.
Kod:

(defun c:zcor (/ ad ms ss n nm)
  (if (setq ad (vla-get-activedocument (vlax-get-acad-object))
            ms (vla-get-modelspace ad)
            ss (ssget (list (cons 0 "point"))))
    (progn
      (vla-startundomark ad)
      (repeat (setq n (sslength ss))
        (setq n (1- n)
             nm (ssname ss n))
        (vla-AddText ms (strcat "%<\\AcObjProp Object(%<\\_ObjId "
          (itoa (vla-get-ObjectID (vlax-ename->vla-object nm)))
          ">%).Coordinates \\f \"%lu6%pt4\">%")
          (vlax-3d-point (cdr (assoc 10 (entget nm)))) (getvar 'textsize))
      )
      (vla-endundomark ad)
    )
  ) (princ)
)

16.05.2022 07:29    

map0623
Teşekkürler Travacı

17.05.2022 03:28    

map0623
Merhaba Travacı,
Bu lisp çok iyi oldu ellerine sağlık. Kotları dolgu içinde göstermese daha iyi ve sade olacak sanırım.

Teşekkürler...

17.05.2022 05:31    

Travaci
Alıntı
map0623

Textlerin field lı olduğunu gösteriyor.
Noktanın koordinatını değiştiğinde save, plot, regen ... gibi işlemlerde kendini güncellemesini sağlar.
FIELDDISPLAY <0> yaparak gri arka planı kapatabilirsiniz.

Travaci (18.05.2022 11:27 GMT)

> 1 <
Copyright © 2004-2022 SQL: 1.51 saniye - Sorgu: 99 - Ortalama: 0.01526 saniye